#
# spec file for package itrace 
#

%define alphatag 20080622cvs_alpha
Name:		stapitrace
Summary:	Instruction Tracing Tool
Version:	1.0.0
Release:	19.%{alphatag}%{?dist}
License:	GPLv2+
Group:		Development/Tools
URL:		http://sourceforge.net/projects/perfinsp
Source0:	%{name}-%{version}.%{alphatag}.tar.gz
Patch0:		itrace_fix1.patch
Patch1:		stapitrace-fix-bfd-configure.patch
Patch2:		stapitrace-utrace2.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	systemtap systemtap-runtime binutils binutils-devel
BuildRequires:	binutils binutils-devel autoconf automake zlib-devel
ExclusiveArch:	ppc

%description
ITrace is a software tracing mechanism that runs on Linux. ITrace traces
through user application code using the SystemTap user instruction tracing
support and can produce human-readable ASCII output or qtrace output suitable
for analysis by packages, such as the IBM Performance Simulator for Linux
on POWER (simppc).

It is based on and shares code from PerformanceInspector's ITRACE tool.

%define systap %{_datadir}/systemtap
%define tap %{systap}/tapset
%define tap64 %{tap}/ppc64
%define post src/post
%define a2n src/a2n
%define stap src/stap

%prep
%setup -q -n Dpiperf
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -i --force
# override -m64
export CFLAGS="%{__global_cflags} -mminimal-toc"	
export CXXFLAGS="%{__global_cflags} -mminimal-toc"

%configure --enable-build_stap=yes --enable-lib32on64 --disable-dependency-tracking
%{__make} DESTDIR=""

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT/usr/lib
%{__mkdir_p} $RPM_BUILD_ROOT/%{_mandir}/man1
%{__mkdir_p} $RPM_BUILD_ROOT/%{systap}
%{__mkdir_p} $RPM_BUILD_ROOT/%{systap}/runtime
%{__mkdir_p} $RPM_BUILD_ROOT/%{tap}
%{__mkdir_p} $RPM_BUILD_ROOT/%{tap64}
%{__install} -m 755 %{post}/post $RPM_BUILD_ROOT/%{_bindir}/post
cd src/stap 
%{__install} -m 644 itrace.1 $RPM_BUILD_ROOT/%{_mandir}/man1/itrace.1
%{__install} -m 644 post.1 $RPM_BUILD_ROOT/%{_mandir}/man1/post.1
%{__install} -m 755 itrace $RPM_BUILD_ROOT/%{_bindir}/itrace
%{__install} -m 644 pi_itrace.stp $RPM_BUILD_ROOT/%{tap}/pi_itrace.stp
%{__install} -m 644 usr_itrace.stp $RPM_BUILD_ROOT/%{tap}/usr_itrace.stp
%{__install} -m 644 ppc_pi_itrace.stp $RPM_BUILD_ROOT/%{tap64}/ppc_pi_itrace.stp
%{__install} -m 644 ppc_usr_itrace.stp $RPM_BUILD_ROOT/%{tap64}/ppc_usr_itrace.stp
%{__install} -m 644 usr_itrace.h $RPM_BUILD_ROOT/%{systap}/runtime/usr_itrace.h


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{tap}/pi_itrace.stp
%{tap}/usr_itrace.stp
%{tap64}/ppc_pi_itrace.stp
%{tap64}/ppc_usr_itrace.stp
%{systap}/runtime/usr_itrace.h
%{_mandir}/man1/itrace.1.gz
%{_mandir}/man1/post.1.gz
%{_bindir}/post
%{_bindir}/itrace

%changelog -n itrace
* Wed Oct 15 2008 Dave Nomura <dcnltc@us.ibm.com>
- upgrade to utrace2

* Fri Sep 12 2008 Josh Boyer <jwboyer@gmail.com>
- Fix bfd configure test as binutils now requires zlib for compressed
  sections

* Tue May 27 2008 Dave Nomura <dcnltc@us.ibm.com>
- removed liba2n.so dependency and changed to all apps to 32-bit

* Mon Apr 07 2008 Dave Nomura <dcnltc@us.ibm.com>
- new package
